package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class GolonganPegawai
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "GolonganPegawai_M")
public class GolonganPegawai extends BaseMaster {
	@NotNull(message = "Golongan Pegawai tidak boleh kosong")
	@Column(name = "GolonganPegawai", nullable = false, length = 20)
	@Caption(value = "Golongan Pegawai")
	private String golonganPegawai;

	public void setGolonganPegawai(String golonganPegawai) {
		this.golonganPegawai = golonganPegawai;
	}

	public String getGolonganPegawai() {
		return this.golonganPegawai;
	}

	@NotNull(message = "Kd Golongan Pegawai tidak boleh kosong")
	@Column(name = "KdGolonganPegawai", nullable = false)
	@Caption(value = "Kode Golongan Pegawai")
	private Byte kdGolonganPegawai;

	public void setKdGolonganPegawai(Byte kdGolonganPegawai) {
		this.kdGolonganPegawai = kdGolonganPegawai;
	}

	public Byte getKdGolonganPegawai() {
		return this.kdGolonganPegawai;
	}

	@NotNull(message = "No Urut tidak boleh kosong")
	@Column(name = "NoUrut", nullable = false)
	@Caption(value = "No Urut")
	private Byte noUrut;

	public void setNoUrut(Byte noUrut) {
		this.noUrut = noUrut;
	}

	public Byte getNoUrut() {
		return this.noUrut;
	}

	@NotNull(message = "QGolongan Pegawai tidak boleh kosong")
	@Column(name = "QGolonganPegawai", nullable = false)
	@Caption(value = "QGolongan Pegawai")
	private Byte qGolonganPegawai;

	public void setqGolonganPegawai(Byte qGolonganPegawai) {
		this.qGolonganPegawai = qGolonganPegawai;
	}

	public Byte getqGolonganPegawai() {
		return this.qGolonganPegawai;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.golonganpegawai_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.golonganpegawai_m_id_seq", sequenceName = "public.golonganpegawai_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}